/**
 * Created by IntelliJ IDEA.
 * User: m09mos
 * Date: 30.09.2009
 * Time: 18:52:13
 * To change this template use File | Settings | File Templates.
 */

import java.io.*;
  import      java.util.*;
public class Chast {

    public static void main(String[]args)throws Exception{
        Scanner s=new Scanner(new File("quotient.in"));

        long a=s.nextInt();
          long b=s.nextInt();
        PrintWriter p=new PrintWriter(new File("quotient.out"));

        if(b==0){
            p.print("Na nol'delit' nel'zya!!!"); }
        else     {
          p.println(a/b);

        }

       p.close();
        s.close();
            }
}
